Package org.eclipse.emf.cdo.transaction

# Interface CDOTransactionScopeOpenedEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

public interface CDOTransactionScopeOpenedEvent extends org.eclipse.net4j.util.event.IEvent
Event fired by the real transaction after a scope has opened.

Since:
  4.30
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOTransactionScope`
`getScope()`
Returns the scope that was opened.
`CDOTransaction`
`getSource()`
Returns the real transaction that emitted this event.

## Method Details

### getSource

CDOTransaction getSource()
Returns the real transaction that emitted this event.

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Returns:
  the owning transaction.

### getScope

CDOTransactionScope getScope()
Returns the scope that was opened.

Returns:
  the opened scope.